﻿@model GarageMaster.Models.AdsSection.AdsModels.AdCreateModel

@{
    ViewData["Title"] = "CreateAd";
}

<h1>CreateAd</h1>

<h4>AdCreateModel</h4>
<hr />
<div class="row">
    <form asp-action="CreateAd" method="post" enctype="multipart/form-data">
        <div class="col-md-5">
            <div asp-validation-summary="All" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="AdCategoryId" class="control-label"></label>
                <select asp-for="AdCategoryId" class="form-control" asp-items="Model.AdCategoriesSelect">
                    <option></option>
                </select>
            </div>
        </div>
        <div class="col-md-5">
            <div class="form-group">
                <label asp-for="Title" class="control-label"></label>
                <input asp-for="Title" class="form-control" />
                <span asp-validation-for="Title" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-10">
            <div class="form-group">
                <label asp-for="Content" class="control-label"></label>
                <textarea asp-for="Content" class="form-control" id="newAdCreate"></textarea>
                <span asp-validation-for="Content" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-5">
            <div class="form-group">
                <label asp-for="Images" class="control-label"></label>
                <input asp-for="Images" type="file" multiple="multiple" accept="image/*" class="form-control" />
                <span asp-validation-for="Images" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </div>
    </form>
</div>

<div>
    <a asp-controller="Ads" asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}

    <script src="~/lib/ckeditor4-full/ckeditor.js"></script>
    <script>
        $(function () {
            CKEDITOR.replace('newAdCreate');
        });
    </script>
}
